#
# spec file for package libva-utils
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libva-utils
Version:        2.0.0
Release:        lp152.3.7
Summary:        A collection of utilities and examples to exercise VA-API
License:        MIT AND EPL-1.0
Group:          Development/Tools/Other
Url:            https://github.com/01org/libva-utils
Source0:        https://github.com/01org/libva-utils/releases/download/%{version}/%{name}-%{version}.tar.bz2
Source1:        https://github.com/01org/libva-utils/releases/download/%{version}/%{name}-%{version}.tar.bz2.sha1sum
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libdrm) >= 2.4
BuildRequires:  pkgconfig(libva) >= 1.0.0
BuildRequires:  pkgconfig(libva-drm)
BuildRequires:  pkgconfig(libva-wayland)
BuildRequires:  pkgconfig(libva-x11) >= 0.39.4
BuildRequires:  pkgconfig(wayland-client) >= 1.11.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
Provides:       vaapi-tools = %{version}
Obsoletes:      vaapi-tools < %{version}
Provides:       vaapi-wayland-tools = %{version}
Obsoletes:      vaapi-wayland-tools < %{version}

%description
libva-utils is a collection of utilities and examples to exercise VA-API in accordance with the libva project. --enable-tests (default = no) provides a suite of unit-tests based on Google Test Framework. A driver implementation is necessary to properly operate.

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
	--enable-drm \
	--enable-wayland \
	--enable-x11 \
	%{nil}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc COPYING NEWS
%{_bindir}/avcenc
%{_bindir}/h264encode
%{_bindir}/jpegenc
%{_bindir}/loadjpeg
%{_bindir}/mpeg2vaenc
%{_bindir}/mpeg2vldemo
%{_bindir}/putsurface
%{_bindir}/putsurface_wayland
%{_bindir}/vainfo
%{_bindir}/vavpp
%{_bindir}/vp9enc

%changelog
* Fri Nov 17 2017 zaitor@opensuse.org
- Add vaapi-wayland-tools Obsoletes and Provides.
* Tue Nov 14 2017 zaitor@opensuse.org
- Update to version 2.0.0:
  * Add option '--device ' to vainfo.
  * Add vp9enc for VP9 encoding.
  * Add vavpp for video processing.
  * Add FEI gtest cases.
  * Fix segmentation fault in putsurface_wayland.
  * Fix GCC 7.1.1 warnings/errors.
  * Fix libva version printed out by vainfo.
- Pass enable-drm, enable-wayland and enable-x11 to configure,
  ensure we build all supported backends.
- Following the above, add pkgconfig(libdrm), pkgconfig(libva),
  pkgconfig(libva-drm), pkgconfig(libva-wayland),
  pkgconfig(wayland-client), pkgconfig(x11), pkgconfig(xext) and
  pkgconfig(xfixes) BuildRequires; align with what configure looks
  for.
- Run spec-cleaner on spec file.
* Tue Aug 29 2017 sndirsch@suse.com
- removed putsurface_wayland from filelist (now requires wayland-
  enabled -devel package)
* Wed Aug 16 2017 chris@computersalat.de
- Version 1.8.3 - 28.Jun.2017
  * Bump version to 1.8.3
  * Switch AC_PROG_LIBTOOL to LT_INIT
  * putsurface: include wayland-client.h instead of wayland-server.h
  * avcenc: add AUD NAL unit at the beginning of pic
  * avcenc: enable direct_spatial_mv_pred_flag for B frame
  * avcenc: add the frame number as the command line input parameter
* Fri Aug  4 2017 sndirsch@suse.com
- Version 1.8.2
  * Bump version to 1.8.2
* Thu Jun 29 2017 sndirsch@suse.com
- changed Group to Development/Tools/Other
* Wed Apr 19 2017 chris@computersalat.de
- fix changes file
  * add missing changes for 1.8.1
  * fix Version string
* Tue Apr 18 2017 chris@computersalat.de
- Version 1.8.1 - 10.Apr.2017
  * Bump version to 1.8.1
- add sha1sum file
* Sat Apr 15 2017 chris@computersalat.de
- initial pkg 1.8.0
- Version 1.8.0 - 31.Mar.2017
  * First release of libva-utils as a separate project
  * Follows libva release versioning
  * Contains all the utilities and tests for libva API
  * dynamically links to libva
  * building system clean ups
  * test suite included using GoogleTestFramework
